%define name LostPixels
%define release 1
%define packager Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at>
%define version 0.5.2
# The variable version should be defined in the build process,
# for example if the version is 1.0:
# rpmbuild  --define 'version 1.0' -ta LostPixels-1.0.tar.gz

# required items
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Amusements/Games

URL: http://blinkensisters.sourceforge.net
#Packager: Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at>
Packager: %{packager}

# source + patches
Source: %{name}-%{version}.tar.gz


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Summary: BlinkenSisters - Hunt for the Lost Pixels

%description
Blinkensisters is a new Parallax-style 2D scrolling gaming 
system for Windows, MacOSX, Linux and POSIX-compatible 
Unix-Systems (every platform that can run SDL). 
You can even make your own levels with a simple text-editor...

%prep -n%{name}-%{version}
%setup -n%{name}-%{version} -q

%build -n%{name}
make PREFIX=%_prefix DOCDIR=%_defaultdocdir/blinkensisters
make strip PREFIX=%_prefix DOCDIR=%_defaultdocdir/blinkensisters

%install
%{__rm} -rf %{buildroot}
%makeinstall PREFIX=%_prefix DOCDIR=%_defaultdocdir/blinkensisters
make menu-install DESTDIR=%{buildroot}
#%pre
#%post
#%preun
#%postun

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/blinkensisters
%{_defaultdocdir}/blinkensisters
# FIXME: Probably that absolute path can substitued by something?
/usr/share/applications/*
/usr/share/pixmaps/*

%docdir %{_defaultdocdir}/blinkensisters
#%config

%changelog

*  Wed Apr 05 2006 Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at> - 0.4-1

- Integrated Menu-entry for Windowmanagers.

*  Sun Mar 12 2006 Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at>

- Updated to 0.3, added documentation.

*  Sun Jan 22 2006 Wolfgang Dautermann <dauti@oeh.tu-graz.ac.at>

- First RPM Build
