@echo off

type WIN32\autobuild.txt


echo Compiling the programs
make -f WIN32\bmfcompress.mk clean
make -f WIN32\bmfdecompress.mk clean
make -f WIN32\blinkenplayer.mk clean
make -f WIN32\lostpixels.mk clean


make -j 8 -f WIN32\bmfcompress.mk all
make -j 8 -f WIN32\bmfdecompress.mk all
make -j 8 -f WIN32\blinkenplayer.mk all
make -j 8 -f WIN32\lostpixels.mk all

echo Running postbuild
copy WIN32\SDL_Image\lib\*.dll WIN32\Build
copy WIN32\SDL_ttf\lib\*.dll WIN32\Build
copy WIN32\SDL_Mixer\lib\*.dll WIN32\Build
copy WIN32\SDL\lib\*.dll WIN32\Build
copy WIN32\SDL_net\lib\*.dll WIN32\Build
copy DOC\* WIN32\Build
copy BASEDATA\GFX\splash.jpg WIN32\Build
copy BASEDATA\GFX\*.ico WIN32\Build
copy BASEDATA\GFX\win32_installer_*.bmp WIN32\Build
copy BASEDATA\TTF\*.ttf WIN32\Build
cd BASEDATA
..\WIN32\Build\bmfcompress META config ..\WIN32\Build\basedata.bmf
cd ..

echo Compiling addons
cd ..\addons
make -j 8 -i clean
make -j 8 -i compile
Tools\mktoc.exe
copy for_upload\*.bmf ..\software\WIN32\Build
cd ..\software
del WIN32\Build\theme_*.bmf

echo Running INNO-Setup Compiler
Compil32.exe /cc Win32\INSTALLER\innosetup.iss

echo Done