// BlinkenSisters - Hunt for the Lost Pixels
//     Bringing back the fun of the 80s
//
// (C) 2005-07 Rene Schickbauer, Wolfgang Dautermann
//
// See License.txt for licensing information
//


#ifndef FONTHANDLER_H
#define FONTHANDLER_H

#include "SDL_ttf.h"

extern TTF_Font* FONT_menufont_50;
extern TTF_Font* FONT_menufont_20;
extern TTF_Font* FONT_textfont_20;
extern TTF_Font* FONT_errorfont_12;

void initFontHandler();
void deInitFontHandler();
void renderFontHandlerText(Sint32 x, Sint32 y, const char* text, SDL_Color fontcolor, bool hcentered, bool vcentered, TTF_Font* renderfont);

#endif // FONTHANDLER_H
